Package com.sun.speech.engine

# Class EngineMonitor.EngineMonitorEngineListener

java.lang.Object
com.sun.speech.engine.EngineMonitor.EngineMonitorEngineListener

Enclosing class:
  `EngineMonitor`

protected class EngineMonitor.EngineMonitorEngineListener extends Object
Handles engine events from the engine.

## Constructor Summary

Constructors
Constructor
Description
`EngineMonitorEngineListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`engineAllocated(EngineEvent e)`
`void`
`engineAllocatingResources(EngineEvent e)`
`void`
`engineDeallocated(EngineEvent e)`
`void`
`engineDeallocatingResources(EngineEvent e)`
`void`
`engineError(EngineErrorEvent e)`
`void`
`enginePaused(EngineEvent e)`
`void`
`engineResumed(EngineEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EngineMonitorEngineListener

public EngineMonitorEngineListener()

## Method Details

### enginePaused

public void enginePaused(EngineEvent e)

### engineResumed

public void engineResumed(EngineEvent e)

### engineAllocated

public void engineAllocated(EngineEvent e)

### engineDeallocated

public void engineDeallocated(EngineEvent e)

### engineAllocatingResources

public void engineAllocatingResources(EngineEvent e)

### engineDeallocatingResources

public void engineDeallocatingResources(EngineEvent e)

### engineError

public void engineError(EngineErrorEvent e)